<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLeadmanagementsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: leadmanagements
         */
        Schema::create('leadmanagements', function ($table) {
            $table->increments('id');
            $table->text('name')->nullable();
            $table->text('sender_id')->nullable();
            $table->text('receiver_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('leadmanagements');
    }
}
