<?php

namespace Litecms\Leadmanagement\Repositories\Eloquent;

use Litecms\Leadmanagement\Interfaces\LeadmanagementRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class LeadmanagementRepository extends BaseRepository implements LeadmanagementRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.leadmanagement.leadmanagement.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.leadmanagement.leadmanagement.model.model');
    }
}
